> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Add user to my organisation

> Add a user to the caller's active organisation (creating the user account if it does not already exist). Caller must be Admin or Owner of the organisation.



## OpenAPI

````yaml /api-reference/openapi.json post /users
openapi: 3.1.1
info:
  title: Dolfin API
  description: >-
    Dolfin API for AR & AP. Authenticate using the `x-dolfin-api-key` header
    with the API key distributed to your organisation.
  version: v1
servers:
  - url: https://api.dolfinai.co
    description: Production
security:
  - {}
tags:
  - name: Webhooks
  - name: Users
  - name: TaxRates
  - name: Suppliers
  - name: Supplier Credit Notes
  - name: Bills
  - name: SpendCategories
  - name: Payables
  - name: RecurringInvoices
  - name: Receivables
  - name: Purchase Orders
  - name: Products
  - name: Payments
  - name: Invoices
  - name: Organisations
  - name: Members
  - name: MCP
  - name: Matching
  - name: Invoice Reminders
  - name: Industries
  - name: Gmail
  - name: Delivery Notes
  - name: Customers
  - name: Currencies
  - name: Credit Notes
  - name: Clients
  - name: ClientInvites
  - name: BankPayments
  - name: Bank details
  - name: Auth
  - name: ApprovalPolicies
  - name: ApiKeys
  - name: Agent
paths:
  /users:
    post:
      tags:
        - Users
      summary: Add user to my organisation
      description: >-
        Add a user to the caller's active organisation (creating the user
        account if it does not already exist). Caller must be Admin or Owner of
        the organisation.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOrganisationUserRequest'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateUserResponse'
        '400':
          description: |-
            User.MissingEmail — email address is required

            User.InvalidEmail — email address is not valid
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: User.Forbidden — caller is not Admin or Owner of this organisation
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '409':
          description: >-
            User.AlreadyInOrganisation — user is already a member of this
            organisation
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    CreateOrganisationUserRequest:
      required:
        - email
      type: object
      properties:
        email:
          type: string
        name:
          type:
            - 'null'
            - string
        role:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/OrganisationRole'
    CreateUserResponse:
      required:
        - email
      type: object
      properties:
        userId:
          type: string
          format: uuid
        email:
          type: string
        name:
          type:
            - 'null'
            - string
        organisationId:
          type: string
          format: uuid
        role:
          $ref: '#/components/schemas/OrganisationRole'
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - 'null'
            - string
        title:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
    OrganisationRole:
      enum:
        - Member
        - Admin
        - Owner

````